<?php
/*
Wacintaki Poteto Avatar Editor
Copyright 2004-2006 Marc "Waccoon" Leveille, http://www.NineChime.com/products/
Version 1.3.0 - Last modified 3/20/2006
*/


// Load bootstrap
$OekakiU    = $_COOKIE['OekakiU'];
$OekakiPass = $_COOKIE['OekakiPass'];
define ('BOOT', 1);
require ('boot.php');

// Config:
$max_width  = $cfg['avatar_x'];
$max_height = $cfg['avatar_y'];
$good_upload = FALSE;


if ($cfg['use_avatars'] != 'yes') {
	report_err('Avatars are disabled on this board.');
}
if (!isset ($user['avatar'])) {
	report_err('"avatar" field does not exist in database.', TRUE);
}
if (!$flags['member']) {
	report_err('You must login to access this feature.');
}


// Upload avatar
if ($_POST['action'] == 'do') {
	include('paintsave.php');

	$old_filename = $user['avatar'];
	$old_filepath = $cfg['avatar_folder'].'/'.$user['avatar'];

	if ($_POST['del']) {
		// Delete Avatar?
		if (!empty ($user['avatar']) && file_exists ($old_filepath)) {
			@unlink ($old_filepath);
		}

		$result = mysql_query ("UPDATE {$OekakiPoteto_MemberPrefix}oekaki SET avatar='' WHERE usrname='$OekakiU'");

		$user['avatar'] = '';
	} elseif (!empty ($_FILES['avatar']['tmp_name'])) {
		// If file OK, get it
		if ($_FILES['avatar']['error'] != 0 || empty ($_FILES['avatar']['tmp_name'])) {
			report_err("File did not upload properly.  Try again.", TRUE);
		}

		// Get file
		$buffer = file_get_contents ($_FILES['avatar']['tmp_name']);

		// Filetype
		$type = get_filetype($buffer);
		if ($type != 'png' && $type != 'jpg' && $type != 'gif') {
			report_err("Picture is an unsupported filetype.", TRUE);
		}

		// Get filesize
		$max_size = $cfg['avatar_x'] * $cfg['avatar_y'] * 3;
		if (strlen ($buffer) > $max_size) {
			report_err("Filesize is too large.  Max size is {$max_size} bytes.", TRUE);
		}

		// Image properties
		$imagesize = @getimagesize ($_FILES['avatar']['tmp_name']);
		if (!$imagesize) {
			report_err("Image size cannot be read.  File may be corrupt.", TRUE);
		}
		if ($imagesize[0] > $max_width | $imagesize[1] > $max_height) {
			report_err("Image too large!  Size limit is {$max_width} by {$max_height} pixels!", TRUE);
		}

		// Set filename
		// For browser caching reasons, set a pseudo-random name
		$filename = md5 ($OekakiU + strval (rand ())).'.'.$type;
		$filepath = $cfg['avatar_folder'].'/'.$filename;

		// Remove old avatar (WinPHP cache safe)
		if ($old_filename != $filename) {
			@unlink ($old_filepath);
		}

		// Save new one
		file_unlock ($filepath);
		if ($fp = fopen ($filepath, 'wb')) {
			fwrite ($fp, $buffer, strlen ($buffer));
			fclose ($fp);

			// Add to DB
			$result = mysql_query ("UPDATE {$OekakiPoteto_MemberPrefix}oekaki SET avatar='$filename' WHERE usrname='$OekakiU'");

			$good_upload = TRUE;
		} else {
			report_err("File did not upload properly.  Try again.", TRUE);
		}

		$user['avatar'] = $filename;
	}
}


/* START HTML */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title><?=$cfg['op_title']?></title>
	<meta http-equiv="content-type" content="text/html; charset=<?=$charset?>">
	<meta http-equiv="content-language" content="<?=$metatag_language?>">

	<link rel="stylesheet" type="text/css" href="<?=$cssinclude?>" title="<?=$template_name?>">
</head>

<body>


<div class="pheader">
	Avatar upload
</div>
<div class="pinfotable">
	<p style="text-align: center;">
<? if ($good_upload) { ?>
		Avatar updated!
<? } else { ?>
		Your avatar may be a PNG, JPEG, or GIF.<br />
		It must not be larger than <?=$max_width ?>&times;<?=$max_height ?> pixels.<br />
<? if ($cfg['use_c_avatars'] != 'yes') { ?>
		Avatars will only show on picture posts (not comments).
<? } ?>
<? } ?>
	</p>
</div>
<br />

<div>
	<table class="pinfotable" style="width: 100%;">
	<tr>
	<td class="pinfoask" style="width: 40%;" valign="top">
		Avatar:
	</td>
	<td class="pinfoenter" valign="top">
<? if (!empty ($user['avatar'])) { ?>
		<img src="<?= $cfg['avatar_folder'].'/'.$user['avatar'];?>" border="0" alt="" /><br />
<? } else {?>
		(No avatar)
<? } ?>
	</td>
	</tr>

	<tr><td colspan="2">&nbsp;</td></tr>

	<tr>
	<td class="pinfoask" style="width: 40%;" valign="top">
		Change Avatar:
	</td>
	<td class="pinfoenter" valign="top">
		<form name="form1" method="post" action="<?=$_SERVER['PHP_SELF'];?>" enctype="multipart/form-data">
			<input name="action" type="hidden" value="do" />
			<input name="avatar" type="file" size="30" class="txtinput" /><br />
			<br />
<? if (!empty ($user['avatar'])) { ?>
			<input name="del" type="checkbox" /> Delete avatar<br />
			<br />
<? } ?>
			<input name="submit" type="submit" value="Submit" class="submit" />
		</form>
	</td>
	</tr>
	</table>
</div>

<p style="text-align: center;">
	<a onclick="javascript: window.close();" href="#"><?=$langop_common_window?></a>
</p>

</body>
</html>
<?

mysql_close ($dbconn);
exit;
?>