<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wacintaki Poteto modifications Copyright 2004-2006 Marc "Waccoon" Leveille, http://www.NineChime.com/products/
Version 1.3.0 - Last modified 4/24/2006
*/


/*
NOTES:
	Cookies don't [aren't supposed to] work with POST.  However, since OekakiBBS doesn't support header transfers (as far as I know), we have mimick cookies by spoofing POST data as GET.  This is the technique Wacintaki used to use with PaintBBS and ShiPainter before v1.3, and has since been obsoleted.  Expect some major differences between the code used for this applet, and some variables normally required for the other paint programs may not be used.

	if (new pic) {
		Send nothing to comment.php.
	} elseif (public edit by new artist) {
		Send import to comment.php.
	} else {
		send edit and import.
	}
*/


// Load bootstrap
$OekakiU    = $_COOKIE['OekakiU'];
$OekakiPass = $_COOKIE['OekakiPass'];
define ('BOOT', 1);
require ('boot.php');
require ('paintsave.php');

// Input
$xcord = (int) $_GET['xcord'];
$ycord = (int) $_GET['ycord'];
$anim  = (int) $_GET['anim'];
$edit  = (int) $_GET['edit'];
$user_pass = slashit($_GET['pw']); // Encoded with make_edit_pass()

// Init
$app_head     = ''; // Passed to save tool
$app_head_pw  = ''; // Added to $app_head
$app_url_exit = ''; // Params for index (comment)
$import       = ''; // Canvas number to import.  Passed to save tool
$app_import   = ''; // Canvas/anim filename to import (based on $anim)
$anim_type    = 'oeb'; // Extension for animation


// Bug in Mac version of Java requires hard-coded values, rather than CSS.  >:(
// Typical viewable width of 800x600 browser is 740px.
	$xhack = '740';
// Typical height
	$yhack = '550';


// Check Draw access
if (!$flags['D']) {
	report_err('You do not have draw access. Login to draw, or ask an administrator for details about receiving access.');
}

// Check anim access
// If retouch, anim flag is ignored
if (!$flags['M']) {
	$anim = 0;
}


if ($edit) {
	// Get pic info
	$result = mysql_query ("SELECT PIC_ID, usrname, animation, password, ptype FROM {$OekakiPoteto_Prefix}oekakidta WHERE PIC_ID='$edit'");
	$row = mysql_fetch_array ($result);

	// Verify anim
	if ($row['animation'] == 1) {
		$anim = 1;
	} else {
		$anim = 0;
	}

	// Set up import
	$import = $edit;
	if ($anim) {
		$app_import = $p_pic.$import.'.'.$anim_type;
	} else {
		$app_import = $p_pic.$import.'.'.$row['ptype'];
	}

	// Choose pass/public retouch option
	if ($row['usrname'] != $OekakiU) {
		$enc_pass = make_edit_pass($row['password']);
		if ($enc_pass == $user_pass) {
			// Password retouch
			// Due to technical/admin issues, only in-place edits are supported
			$app_head_pw = ';pw='.$enc_pass;
		} elseif ($row['password'] == 'public') {
			if ($cfg['public_retouch'] == 'yes') {
				// Public, treat as new pic, but import canvas/anim
				unset ($edit);
			} else {
				// pw != public, and public disabled
				report_err('Public retouch disabled.');
			}
		} else {
			// Invalid!
			report_err('Incorrect password to retouch!');
		}
	}
	$size = GetImageSize ($p_pic.$row['PIC_ID'].'.'.$row['ptype']);
	$xcord = $size[0];
	$ycord = $size[1];
} else {
	// Check for unfinished pictures
	$result = mysql_query ("SELECT COUNT(PIC_ID) FROM {$OekakiPoteto_Prefix}oekakidta WHERE postlock=0 AND usrname='$OekakiU'");
	$num_rows = (int) mysql_result ($result, 0);

	if ($num_rows > 0) {
		// Unfinished pictures interface
		report_err('You have an unfinished picture!');
	}
}


// Verify that canvas sizes fit min/max
if ($xcord > $cfg['canvas_x']) {
	$xcord = $cfg['canvas_x'];
}
if ($ycord > $cfg['canvas_y']) {
	$ycord = $cfg['canvas_y'];
}


// APPLET_NO_JPEG is in hacks.php
// Due to lack of documentation, I don't know how to set max size to JPEG.
$image_jpeg_value = (APPLET_NO_JPEG != 0) ? '0' : '1';


// Set up applet header
// NOTE:  It is illegal to use '&' in parameter fields of Java applets,
// but we have to do it anyway since OekakiBBS will not decode '&amp;'
if ($edit) {
	$app_head_mode = 'edit';
} elseif ($anim) {
	$app_head_mode = 'anim';
} else {
	$app_head_mode = 'norm';
}
$app_head = "mode={$app_head_mode}&edittimes=".time()
	.'&usr='.urlencode ($OekakiU).'&vcode='.urlencode ($OekakiPass);
if (!empty ($app_head_pw)) {
	$app_head .= '&'.urlencode ($app_head_pw);
}
if ($edit) {
	$app_head .= "&edit={$edit}";
}
if ($import) {
	$app_head .= "&import={$import}";
}

// Set up applet exit
$app_url_exit = 'comment.php?mode=res_msg';
if ($import && !$edit) {
	$app_url_exit .= "&import={$import}";
} elseif ($import) {
	$app_url_exit .= "&import={$import}&edit={$edit}";
}


// No footer
mysql_close ($dbconn);



/* START HTML */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title><?=$cfg['op_title']?></title>
	<meta http-equiv="content-type" content="text/html; charset=<?=$charset?>">
	<meta http-equiv="content-language" content="<?=$metatag_language?>">

	<link rel="stylesheet" type="text/css" href="<?=$cssinclude?>" title="<?=$template_name?>">

	<script language="JavaScript" type="text/javascript" src="Poteto.js">
	</script>
</head>

<body>


<div style="text-align: center;">
	<applet id="oekakibbs"
		code="a.p.class"
		archive="oekakibbs.jar"
		width="<?=$xhack?>"
		height="<?=$yhack?>"
		mayscript>

		<param name="picw" value="<?=$xcord?>" />
		<param name="pich" value="<?=$ycord?>" />

		<param name="tooljpgpng" value="0" />
		<param name="tooljpg" value="<?=$image_jpeg_value?>" />

		<param name="anime" value="<?=$anim?>" />
		<param name="animesimple" value="1" />

<?
if ($import) { ?>
		<param name="readfilepath" value="./" />
		<param name="readpicpath" value="./" />
		<param name="readpic" value="<?= $p_pic.$import.'.'.$row['ptype']; ?>" />

<?
	if ($anim) {
?>
		<param name="readanmpath" value="./" />
		<param name="readanm" value="<?= $p_pic.$import.'.oeb'; ?>" />

<?
	}
}
?>
		<param name="cgi" value="getoekakibbs.php?<?=$app_head?>" />
		<param name="url" value="<?=$app_url_exit?>" />
		<param name="target" value="_self" />

		<param name="popup" value="0" />
		<param name="tooltype" value="full" />
		<param name="passwd" value="hardidhihihiahrih" />
		<param name="passwd2" value="I like to eat, ice cream." />

		<param name="baseC" value="888888" />
		<param name="brightC" value="aaaaaa" />
		<param name="darkC" value="666666" />
		<param name="backC" value="000000" />

		<param name="mask" value="5" />
		<param name="toolpaintmode" value="1" />
		<param name="toolmask" value="1" />
		<param name="toollayer" value="1" />
		<param name="toolalpha" value="1" />
		<param name="toolwidth" value="200" />

		<param name="catalog" value="0" />
		<param name="catalogwidth" value="100" />
		<param name="catalogheight" value="100" />
	</applet>
</div>


<p style="text-align: center;">
	<input onclick="maximize_app('oekakibbs')" type="button" value="Resize OekakiBBS to fit window" class="submit">
</p>


<!-- Controls -->
<div class="pheader">
	Applet Controls
</div>

<table class="pinfotable" style="width: 100%; text-align: center;">
	<tr>
	<td style="width: 50%;">
		<p>
			<strong>Please note:</strong>
		</p>
		<ul>
			<li>If you get an &ldquo;Image Transfer Error&rdquo;, you will have to use Microsoft VM instead of Sun Java.</li>
			<li>If retouching an animated picture and the canvas is blank, play the animation first.</li>
			<li>Any canvas size change will destroy your current picture!</li>
			<li>Use the <strong>PRINT SCRN</strong> key regularly! &nbsp;<code>;)</code></li>
		</ul>
	</td>

<? if (!$edit) { ?>
	<td style="width: 50%;">
		<form name="form1" method="get" action="oekakiBBS.php">
			<p>
				<?=$langop_applet_modify?>
				( <?=$langop_applet_max?> <?=$cfg['canvas_x']?> &times; <?=$cfg['canvas_y']?> )
			</p>

			<p>
				X: <input type="text" name="xcord" value="<?=$xcord?>" class="ptxtinput" /><br />
				Y: <input type="text" name="ycord" value="<?=$ycord?>" class="ptxtinput" /><br />
			</p>
<? if ($anim) { ?>
			<input type="hidden" name="anim" value="<?=$anim?>">
<? } ?>
			<input type="submit" name="Submit" value="Modify" class="submit" />
		</form>
	</td>
<? } ?>
	</tr>
</table>
<br />


</body>
</html>