<?php // Include only
if (!defined ('BOOT')) exit ('No bootstrap.  Exiting.');

/*
Wacintaki Poteto Hacks
Copyright 2005-2006 Marc "Waccoon" Leveille, http://www.NineChime.com/products/
Version 1.3.0 (1.2.0 compatible) - Last modified 3/27/2006
*/


// HACK_CHECK is defined in boot.php
if (!defined ('HACK_CHECK')) {
	echo 'HACK_ERR';
	exit ();
}
if (HACK_CHECK == 1) {


//
// Debug
//
{
	// Debug only
	$debug       = 0;
	$force_build = 0; // Forces realtime build of templates.  SLOW!
	$wactest     = 0; // Beta testing flag
}


//
// General
//
{
	define ('BAN_OVERRIDE', 0); // (0-1) Disables banning
	define ('THUMB_COMMENT', 0); // (0-1) Enable thumbnails on comment screen
	define ('APPLET_NO_JPEG', 0); // (0-1) Disable applet-native JPEG support
	define ('NO_KILL_ARTISTS', 0); // (0-1) Disable artist killing, may be a "re-registration" issue if 1
	define ('CUT_EMAIL', 0); // (0-1) 0=Off, 1=Reduced e-mail (autoreg), 2=No e-mail
}


//
// Security
//
{
	// Disallows admins from adding PHP to notice, banner, and rules
	define ('DISABLE_PHP_RESOURCE', 0); // (0-1) 0=Normal, 1=Disable PHP
}


//
// Cookies
//
{
	/*
	Set this to allow multiple boards to share one cookie, as OP does not natively support multiple boards.
	
	LEAVE THIS BLANK IF USING A SINGLE BOARD OR IF YOU'RE NOT SURE WHAT TO PUT IN!

	This hack requires a root-based path.  '/' means the root of the server, so '/folder' is the same as 'http://www.server.com/folder'.  'folder' may do something like 'http://www.server.com/account/oekaki/folder', and won't work.

	NOTE:  Don't use 'http://' or other direct URLs -- many web browsers will flag those cookies as spyware.
	*/

	// Failsafe, or disable (default)
	$cookie_path = '';

	// For the whole server (dedicated servers only)
	//$cookie_path = '/';

	// Shared server, like Tripod or Angelfire.  Folders are CaSe SeNsItIvE!
	// $cookie_path = '/AccountName/';
}


//
// header.php
//
{
	// Blinking of Mailbox
	$mb_blink_o = '<blink>';
	$mb_blink_c = '</blink>';

	// Blinking of View Pending
	$vp_blink_o = '';
	$vp_blink_c = '';
}


//
// index.php
//
{
	// Put silly prefixes on member names!
	// Example: 'Super ' = 'Super Waccoon'
	$stupid_name  = '';
	$stupid_guest = '';
}


//
// SMILIES
// WARNING:  Do not use ':/' as a smiley, or URLs will not work
//
{
	define ('USE_SMILE_HACK', 0); // (0-1) 1=Use these smilies

	if (USE_SMILE_HACK == 1) {
		$smilies_temp = array (
			':)'  => 'smile.gif',
			':|'  => 'neutral.gif',
			':('  => 'sad.gif',
			':D'  => 'big_smile.gif',
			'>:)' => 'smirk.gif',
			'>:D' => 'evil_smile.gif',
			':sneaky:' => 'sneaky.gif',
			':o'       => 'yikes.gif',
			';)'       => 'wink.gif',
			':/'       => 'hmm.gif',
			':P'       => 'tongue.gif',
			':lol:'    => 'lol.gif',
			':mad:'    => 'mad.gif',
			':rolleyes:' => 'rolleyes.gif',
			':cool:'   => 'cool.gif',
			':duh:'    => 'duh.gif',
			':blush:'  => 'blush.gif',
			':cry:'    => 'cry.gif',
			':boohoo:' => 'boohoo.gif',
			':crazy:'  => 'crazy.gif',
			':what:'   => 'what.gif',
			':gamer:'  => 'gamer.gif',
			':barf:'   => 'barf.gif' // No comma on last entry
		);

		$smilies_group = array();
		foreach ($smilies_temp as $s_in => $s_out) {
			$smilies_group[htmlspecialchars ($s_in)] = $s_out;
		}
		unset ($smilies_temp);
	}
}


//	=	=	=	=	=	=	=	=	=	=	=	=	=	=	=	=	=
// DO NOT EDIT ANYTHING ELSE BELOW!!!
//	=	=	=	=	=	=	=	=	=	=	=	=	=	=	=	=	=
} else {
	// Hacks out of date
	echo 'Update your hack file (search history.txt for &ldquo;hacks.php&rdquo;)<br />(You: 1, Script: '.HACK_CHECK.')';
	exit ();

} // End HACK_CHECK

?>